@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;700&display=swap');
/* font-family: 'Inter', sans-serif; */
:root {

    /* Cores primarias */
    --lime-green: hsl(163, 72%, 41%);
    --bright-red: hsl(356, 69%, 56%);
    --facebook: hsl(208, 92%, 53%);
    --twitter: hsl(203, 89%, 53%);
    --instagram: hsl(28, 100%, 47%);
    --youtube: hsl(348, 97%, 39%);

    --bg-color: hsl(0, 0%, 100%);
    --top-bg: hsl(225, 100%, 98%);
    --card-bg: hsl(227, 47%, 96%);
    --text-color: hsl(228, 12%, 44%);
    --text-color2: hsl(230, 17%, 14%);
    
}

.dark-mode:root {
    --bg-color: hsl(230, 17%, 14%);
    --top-bg: hsl(232, 19%, 15%);
    --card-bg: hsl(228, 28%, 20%);
    --text-color: hsl(228, 34%, 66%);
    --text-color2: hsl(0, 0%, 100%);
}

/*toggle-theme theme */
/*slider switch css */
.theme-switch-wrapper {
  display: flex;
  align-items: center;
}
.theme-switch {
  display: inline-block;
  height: 34px;
  position: relative;
  width: 60px;
}

.theme-switch input {
  display:none;
}

.slider {
  background-color: #ccc;
  bottom: 0;
  cursor: pointer;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  transition: .4s;
}

.slider:before {
  background-color: #fff;
  bottom: 4px;
  content: "";
  height: 26px;
  left: 4px;
  position: absolute;
  transition: .4s;
  width: 26px;
}

input:checked + .slider {
  background-color: var(--lime-green);
}

input:checked + .slider:before {
  transform: translateX(26px);
}

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.p-dark-model {
    color: var(--text-color)
}

* {
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Inter', sans-serif;
    background-color: var(--bg-color);
}

.container {
    padding-top: 30px;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

h1 {
    font-weight: 700;
    font-size: 2rem;
    color: var(--text-color2);
}

h3 {
    color: var(--text-color);
    font-weight: 700;
    font-size: 1.5rem;
}

.total-followers {
    color: var(--text-color);
    font-weight: 700;
    margin-top: -8px;
}

.followers-facebook, .followers-twitter, .followers-instagram, .followers-youtube {
    background-color: var(--card-bg);
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 3%
}

.followers-facebook {
    border-top: 5px solid var(--facebook);
}

.followers-twitter {
    border-top: 5px solid var(--twitter);
}

.followers-instagram {
    border-top: 5px solid var(--instagram);
}

.followers-youtube {
    border-top: 5px solid var(--youtube);
}

.user-rede-social {
    display: flex;
    align-items: flex-start;
    width: 60%;
    height: 20px;
    justify-content: center;
    margin-top: 20px;
}

.user-card {
    padding-left: 10px;
    font-weight: 700;
    color: var(--text-color);
    margin-top: -2px;
}

.number-followers {
    font-size: 4rem;
    font-weight: 700;
    margin-top: 15px;
    color: var(--text-color2)
}

.text-followers {
    text-transform: uppercase;
    color: var(--text-color);
    letter-spacing: 5px;
}

.card-up, .overview-up {
    color: var(--lime-green);
    font-weight: 700;
    font-size: 0.8rem;
}

.card-down, .overview-down {
    color: var(--bright-red);
    font-weight: 700;
    font-size: 0.8rem;
}

.statistic-card{
    display: flex;
    align-items: center;
    justify-content: center;
}

.overview-card {
    background-color: var(--card-bg);
    border-radius: 5px;
    padding: 10px 20px 10px 20px;
}

.line-overview-card {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10px;
}

.text-overview {
    color: var(--text-color);
    font-weight: 700;
    font-size: 0.9rem;
}

.number-overview {
    font-size: 1.2rem;
    color: var(--text-color2);
    font-weight: 700;
    font-size: 1.8rem;
}

.attribution { 
    font-size: 11px;
    text-align: center;
    color: var(--text-color)
}
    
.attribution a { 
    color: var(--bright-red); 
}